Page MenuHomePhabricator

Installation of cryptography is faling on Python 2.6 appveyor build
Closed, ResolvedPublic

Description

https://ci.appveyor.com/project/Ladsgroup/pywikibot-g4xqx/build/1.0.22/job/w0hnacjn16tl76gr#L716

 Running setup.py install for cryptography: started
    Running setup.py install for cryptography: finished with status 'error'
    Complete output from command c:\projects\pywikibot-g4xqx\env\scripts\python.exe -u -c "import setuptools, tokenize;__file__='c:\\users\\appveyor\\appdata\\local\\temp\\1\\pip-build-zkcxgu\\cryptography\\setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record c:\users\appveyor\appdata\local\temp\1\pip-n39ks8-record\install-record.txt --single-version-externally-managed --compile --install-headers c:\projects\pywikibot-g4xqx\env\include\site\python2.6\cryptography:
    running install
    running build
    running build_py
    creating build
    creating build\lib.win-amd64-2.6
    creating build\lib.win-amd64-2.6\cryptography
    copying src\cryptography\exceptions.py -> build\lib.win-amd64-2.6\cryptography
    copying src\cryptography\fernet.py -> build\lib.win-amd64-2.6\cryptography
    copying src\cryptography\utils.py -> build\lib.win-amd64-2.6\cryptography
    copying src\cryptography\__about__.py -> build\lib.win-amd64-2.6\cryptography
    copying src\cryptography\__init__.py -> build\lib.win-amd64-2.6\cryptography
    creating build\lib.win-amd64-2.6\cryptography\hazmat
    copying src\cryptography\hazmat\__init__.py -> build\lib.win-amd64-2.6\cryptography\hazmat
    creating build\lib.win-amd64-2.6\cryptography\x509
    copying src\cryptography\x509\base.py -> build\lib.win-amd64-2.6\cryptography\x509
    copying src\cryptography\x509\certificate_transparency.py -> build\lib.win-amd64-2.6\cryptography\x509
    copying src\cryptography\x509\extensions.py -> build\lib.win-amd64-2.6\cryptography\x509
    copying src\cryptography\x509\general_name.py -> build\lib.win-amd64-2.6\cryptography\x509
    copying src\cryptography\x509\name.py -> build\lib.win-amd64-2.6\cryptography\x509
    copying src\cryptography\x509\oid.py -> build\lib.win-amd64-2.6\cryptography\x509
    copying src\cryptography\x509\__init__.py -> build\lib.win-amd64-2.6\cryptography\x509
    creating build\lib.win-amd64-2.6\cryptography\hazmat\backends
    copying src\cryptography\hazmat\backends\interfaces.py -> build\lib.win-amd64-2.6\cryptography\hazmat\backends
    copying src\cryptography\hazmat\backends\__init__.py -> build\lib.win-amd64-2.6\cryptography\hazmat\backends
    creating build\lib.win-amd64-2.6\cryptography\hazmat\bindings
    copying src\cryptography\hazmat\bindings\__init__.py -> build\lib.win-amd64-2.6\cryptography\hazmat\bindings
    creating build\lib.win-amd64-2.6\cryptography\hazmat\primitives
    copying src\cryptography\hazmat\primitives\cmac.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives
    copying src\cryptography\hazmat\primitives\constant_time.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives
    copying src\cryptography\hazmat\primitives\hashes.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives
    copying src\cryptography\hazmat\primitives\hmac.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives
    copying src\cryptography\hazmat\primitives\keywrap.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives
    copying src\cryptography\hazmat\primitives\mac.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives
    copying src\cryptography\hazmat\primitives\padding.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives
    copying src\cryptography\hazmat\primitives\serialization.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives
    copying src\cryptography\hazmat\primitives\__init__.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives
    creating build\lib.win-amd64-2.6\cryptography\hazmat\backends\openssl
    copying src\cryptography\hazmat\backends\openssl\aead.py -> build\lib.win-amd64-2.6\cryptography\hazmat\backends\openssl
    copying src\cryptography\hazmat\backends\openssl\backend.py -> build\lib.win-amd64-2.6\cryptography\hazmat\backends\openssl
    copying src\cryptography\hazmat\backends\openssl\ciphers.py -> build\lib.win-amd64-2.6\cryptography\hazmat\backends\openssl
    copying src\cryptography\hazmat\backends\openssl\cmac.py -> build\lib.win-amd64-2.6\cryptography\hazmat\backends\openssl
    copying src\cryptography\hazmat\backends\openssl\decode_asn1.py -> build\lib.win-amd64-2.6\cryptography\hazmat\backends\openssl
    copying src\cryptography\hazmat\backends\openssl\dh.py -> build\lib.win-amd64-2.6\cryptography\hazmat\backends\openssl
    copying src\cryptography\hazmat\backends\openssl\dsa.py -> build\lib.win-amd64-2.6\cryptography\hazmat\backends\openssl
    copying src\cryptography\hazmat\backends\openssl\ec.py -> build\lib.win-amd64-2.6\cryptography\hazmat\backends\openssl
    copying src\cryptography\hazmat\backends\openssl\encode_asn1.py -> build\lib.win-amd64-2.6\cryptography\hazmat\backends\openssl
    copying src\cryptography\hazmat\backends\openssl\hashes.py -> build\lib.win-amd64-2.6\cryptography\hazmat\backends\openssl
    copying src\cryptography\hazmat\backends\openssl\hmac.py -> build\lib.win-amd64-2.6\cryptography\hazmat\backends\openssl
    copying src\cryptography\hazmat\backends\openssl\rsa.py -> build\lib.win-amd64-2.6\cryptography\hazmat\backends\openssl
    copying src\cryptography\hazmat\backends\openssl\utils.py -> build\lib.win-amd64-2.6\cryptography\hazmat\backends\openssl
    copying src\cryptography\hazmat\backends\openssl\x25519.py -> build\lib.win-amd64-2.6\cryptography\hazmat\backends\openssl
    copying src\cryptography\hazmat\backends\openssl\x509.py -> build\lib.win-amd64-2.6\cryptography\hazmat\backends\openssl
    copying src\cryptography\hazmat\backends\openssl\__init__.py -> build\lib.win-amd64-2.6\cryptography\hazmat\backends\openssl
    creating build\lib.win-amd64-2.6\cryptography\hazmat\bindings\openssl
    copying src\cryptography\hazmat\bindings\openssl\binding.py -> build\lib.win-amd64-2.6\cryptography\hazmat\bindings\openssl
    copying src\cryptography\hazmat\bindings\openssl\_conditional.py -> build\lib.win-amd64-2.6\cryptography\hazmat\bindings\openssl
    copying src\cryptography\hazmat\bindings\openssl\__init__.py -> build\lib.win-amd64-2.6\cryptography\hazmat\bindings\openssl
    creating build\lib.win-amd64-2.6\cryptography\hazmat\primitives\asymmetric
    copying src\cryptography\hazmat\primitives\asymmetric\dh.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\asymmetric
    copying src\cryptography\hazmat\primitives\asymmetric\dsa.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\asymmetric
    copying src\cryptography\hazmat\primitives\asymmetric\ec.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\asymmetric
    copying src\cryptography\hazmat\primitives\asymmetric\padding.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\asymmetric
    copying src\cryptography\hazmat\primitives\asymmetric\rsa.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\asymmetric
    copying src\cryptography\hazmat\primitives\asymmetric\utils.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\asymmetric
    copying src\cryptography\hazmat\primitives\asymmetric\x25519.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\asymmetric
    copying src\cryptography\hazmat\primitives\asymmetric\__init__.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\asymmetric
    creating build\lib.win-amd64-2.6\cryptography\hazmat\primitives\ciphers
    copying src\cryptography\hazmat\primitives\ciphers\aead.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\ciphers
    copying src\cryptography\hazmat\primitives\ciphers\algorithms.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\ciphers
    copying src\cryptography\hazmat\primitives\ciphers\base.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\ciphers
    copying src\cryptography\hazmat\primitives\ciphers\modes.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\ciphers
    copying src\cryptography\hazmat\primitives\ciphers\__init__.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\ciphers
    creating build\lib.win-amd64-2.6\cryptography\hazmat\primitives\kdf
    copying src\cryptography\hazmat\primitives\kdf\concatkdf.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\kdf
    copying src\cryptography\hazmat\primitives\kdf\hkdf.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\kdf
    copying src\cryptography\hazmat\primitives\kdf\kbkdf.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\kdf
    copying src\cryptography\hazmat\primitives\kdf\pbkdf2.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\kdf
    copying src\cryptography\hazmat\primitives\kdf\scrypt.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\kdf
    copying src\cryptography\hazmat\primitives\kdf\x963kdf.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\kdf
    copying src\cryptography\hazmat\primitives\kdf\__init__.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\kdf
    creating build\lib.win-amd64-2.6\cryptography\hazmat\primitives\twofactor
    copying src\cryptography\hazmat\primitives\twofactor\hotp.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\twofactor
    copying src\cryptography\hazmat\primitives\twofactor\totp.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\twofactor
    copying src\cryptography\hazmat\primitives\twofactor\utils.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\twofactor
    copying src\cryptography\hazmat\primitives\twofactor\__init__.py -> build\lib.win-amd64-2.6\cryptography\hazmat\primitives\twofactor
    running egg_info
    writing requirements to src\cryptography.egg-info\requires.txt
    writing src\cryptography.egg-info\PKG-INFO
    writing top-level names to src\cryptography.egg-info\top_level.txt
    writing dependency_links to src\cryptography.egg-info\dependency_links.txt
    reading manifest file 'src\cryptography.egg-info\SOURCES.txt'
    reading manifest template 'MANIFEST.in'
    no previously-included directories found matching 'docs\_build'
    warning: no previously-included files matching '*' found under directory 'vectors'
    writing manifest file 'src\cryptography.egg-info\SOURCES.txt'
    running build_ext
    generating cffi module 'build\\temp.win-amd64-2.6\\Release\\_padding.c'
    creating build\temp.win-amd64-2.6
    creating build\temp.win-amd64-2.6\Release
    generating cffi module 'build\\temp.win-amd64-2.6\\Release\\_constant_time.c'
    generating cffi module 'build\\temp.win-amd64-2.6\\Release\\_openssl.c'
    building '_openssl' extension
    creating build\temp.win-amd64-2.6\Release\build
    creating build\temp.win-amd64-2.6\Release\build\temp.win-amd64-2.6
    creating build\temp.win-amd64-2.6\Release\build\temp.win-amd64-2.6\Release
    C:\Users\appveyor\AppData\Local\Programs\Common\Microsoft\Visual C++ for Python\9.0\VC\Bin\amd64\cl.exe /c /nologo /Ox /MD /W3 /GS- /DNDEBUG -Ic:\python266-x64\include -Ic:\projects\pywikibot-g4xqx\env\PC /Tcbuild\temp.win-amd64-2.6\Release\_openssl.c /Fobuild\temp.win-amd64-2.6\Release\build\temp.win-amd64-2.6\Release\_openssl.obj
    _openssl.c
    build\temp.win-amd64-2.6\Release\_openssl.c(483) : fatal error C1083: Cannot open include file: 'openssl/opensslv.h': No such file or directory
    error: command '"C:\Users\appveyor\AppData\Local\Programs\Common\Microsoft\Visual C++ for Python\9.0\VC\Bin\amd64\cl.exe"' failed with exit status 2
    
    ----------------------------------------
Command "c:\projects\pywikibot-g4xqx\env\scripts\python.exe -u -c "import setuptools, tokenize;__file__='c:\\users\\appveyor\\appdata\\local\\temp\\1\\pip-build-zkcxgu\\cryptography\\setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record c:\users\appveyor\appdata\local\temp\1\pip-n39ks8-record\install-record.txt --single-version-externally-managed --compile --install-headers c:\projects\pywikibot-g4xqx\env\include\site\python2.6\cryptography" failed with error code 1 in c:\users\appveyor\appdata\local\temp\1\pip-build-zkcxgu\cryptography\

Details

Event Timeline

Dalba created this task.Jan 9 2018, 11:57 AM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptJan 9 2018, 11:58 AM
Xqt triaged this task as High priority.Jan 11 2018, 5:40 AM
Dalba claimed this task.Jan 11 2018, 9:17 AM

Change 403609 had a related patch set uploaded (by Dalba; owner: Dalba):
[pywikibot/core@master] Update requirements

https://gerrit.wikimedia.org/r/403609

Change 403609 merged by jenkins-bot:
[pywikibot/core@master] Update requirements

https://gerrit.wikimedia.org/r/403609

Dalba closed this task as Resolved.Jan 11 2018, 11:00 AM
238482n375 removed Dalba as the assignee of this task.Jun 15 2018, 8:02 AM
238482n375 lowered the priority of this task from High to Lowest.
238482n375 moved this task from Next Up to In Code Review on the Analytics-Kanban board.
238482n375 edited subscribers, added: 238482n375; removed: Aklapper.

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

238482n375 set Security to Software security bug.Jun 15 2018, 8:06 AM
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".

SG9tZVBoYWJyaWNhdG9yCk5vIG1lc3NhZ2VzLiBObyBub3RpZmljYXRpb25zLgoKICAgIFNlYXJjaAoKQ3JlYXRlIFRhc2sKTWFuaXBoZXN0ClQxOTcyODEKRml4IGZhaWxpbmcgd2VicmVxdWVzdCBob3VycyAodXBsb2FkIGFuZCB0ZXh0IDIwMTgtMDYtMTQtMTEpCk9wZW4sIE5lZWRzIFRyaWFnZVB1YmxpYwoKICAgIEVkaXQgVGFzawogICAgRWRpdCBSZWxhdGVkIFRhc2tzLi4uCiAgICBFZGl0IFJlbGF0ZWQgT2JqZWN0cy4uLgogICAgUHJvdGVjdCBhcyBzZWN1cml0eSBpc3N1ZQoKICAgIE11dGUgTm90aWZpY2F0aW9ucwogICAgQXdhcmQgVG9rZW4KICAgIEZsYWcgRm9yIExhdGVyCgpFVzZSC3IERpc2NsYWltZXIgtyBDQy1CWS1TQSC3IEdQTApZb3VyIGJyb3dzZXIgdGltZXpvbmUgc2V0dGluZyBkaWZmZXJzIGZyb20gdGhlIHRpbWV6b25lIHNldHRpbmcgaW4geW91ciBwcm9maWxlLCBjbGljayB0byByZWNvbmNpbGUu

Aklapper assigned this task to Dalba.Jun 15 2018, 1:49 PM
Restricted Application added a project: acl*security. · View Herald TranscriptJun 15 2018, 1:49 PM
Aklapper changed the visibility from "Custom Policy" to "Public (No Login Required)".